Bug 45224 - hda: timeout waiting for dma
Summary: hda: timeout waiting for dma
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-20 23:02 UTC by Cain O. Aaron, Jr.
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 13:54:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cain O. Aaron, Jr. 2001-06-20 23:02:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9.1)
Gecko/20010608

Description of problem:
Every time I boot or try to install I recieve an error that repeats for
about 3-5min here is the error
"partition check:
hda: hda: timeout waiting for dma
hda: irq timeout: status=x58 {DriverReady SeekComplete DataRequest}"  This
error keeps repeating for 3-5min then the system boots like normal.

How reproducible:
Always

Steps to Reproduce:
1.Boot the system
2.Try to install from the cd
3.
	

Additional info: I have a ATA 100mb Western Digital Hard-Drive 30gb.

Comment 1 Arjan van de Ven 2001-06-21 07:58:39 UTC
Does it work if you pass "ide=nodma" to the lilo / syslinux prompt ?

Comment 2 Cain O. Aaron, Jr. 2001-06-27 13:05:58 UTC
I will try that tonight.

Comment 3 Malcolm MacNiven 2001-07-05 21:02:38 UTC
I too have this problem anytime I try to mound a CD.  Additionally my system is 
locked up while I am getting all of the timeouts.  

Adding 'ide=nodma' to the lilo command line fixes the problem.

Malcolm

Comment 4 Cain O. Aaron, Jr. 2001-07-06 12:27:06 UTC
Yea I tried the "ide=nodma" and my system works like a charm now.  Thanks alot
for the help.  So does that mean that Kernal 2.4 doesn't support the 100mb
transfer rate of the new IDE hard-drives?

Comment 5 Arjan van de Ven 2001-07-06 12:30:05 UTC
The kernel supports it, but it seems that once it tries to use it, your
hardware starts to give errors. This is most often the result of a cableproblem.

Is your IDE cable of the "80 ribbon" type, and not too long ?


Note You need to log in before you can comment on or make changes to this bug.